# "realname" variable name is required for erlang_appdir macro
%global realname eredis
# Technically we're noarch, but our install path is not. For non-NIF
# or non-DRV packages we can set the debug package to nil.
# This line should be removed if a package contains NIF, or driver.
%global debug_package %{nil}


Name:           erlang-eredis
Version:        1.7.1
Release:        1%{?dist}
Summary:        Erlang Redis client

License:        MIT
URL:            https://github.com/Nordix/%{realname}
Source0:        https://github.com/Nordix/%{realname}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  erlang-rebar3
BuildRequires:  erlang-formatter%dnl # Not in fedora/rawhide
##Requires:       
BuildArch:      noarch

%description
Non-blocking Redis client with focus on performance and robustness.

Supported Redis features:

* Any command, through eredis:q/2,3
* Transactions
* Pipelining
* Authentication & multiple DBs
* Pubsub
* TLS
* Sentinel support



%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang3_compile}


%install
%{erlang3_install}



%files
%license LICENSE
%doc AUTHORS CHANGELOG.md README.md doc/*
%{erlang_appdir}/



%changelog
* Wed Jul 12 2023 Matthieu Saulnier <fantom@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1

* Fri Jul 07 2023 Matthieu Saulnier <fantom@fedoraproject.org> - 1.7.0-1
- Initial packaging
